﻿@*<script type="text/javascript" src="@Url.Content("~/Scripts/CommonMessage/common-message.js")"></script>*@

<script type="text/javascript">

    function MessageShow() {
        PU_Add.Show();
    }

    function OnDetailGridBeginCallback(s, e) {
        var pMANIFEST_NO        = T_MANIFEST_NO.GetText();
        var pPART_NO            = T_PART_NO.GetText();
        var pSUB_MANIFEST_NO    = T_SUB_MANIFEST_NO.GetText();

        e.customArgs["pMANIFEST_NO"] = pMANIFEST_NO;
        e.customArgs["pPART_NO"] = pPART_NO;
        e.customArgs["pSUB_MANIFEST_NO"] = pSUB_MANIFEST_NO;

    }

    function OnBeginCallBackPopup(s, e) {
        var pMANIFEST_NO    = T_MANIFEST_NO.GetText();
        var pPART_NO        = T_PART_NO.GetText();
        var pSUB_MANIFEST_NO = T_SUB_MANIFEST_NO.GetText();

        e.customArgs["pMANIFEST_NO"] = pMANIFEST_NO;
        e.customArgs["pPART_NO"] = pPART_NO;
        e.customArgs["pSUB_MANIFEST_NO"] = pSUB_MANIFEST_NO;

    }

</script>

@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PU_Add";
    settings.CallbackRouteValues = new { Controller = "SubManifestReceivingInquiry", Action = "_PopUpLog" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopup";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 460;
    settings.MinHeight = 250;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(900);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Sub Manifest Receiving Inquiry - Kanban";
}).GetHtml()